# Interface MinilinksGeneratorOptions

interface MinilinksGeneratorOptions {
equal: ((oldLink: any, newLink: any) => boolean);
from: any;
from_id: any;
handler?: ((link: any, result: any) => any);
id: any;
in: any;
inByType: any;
Link: any;
out: any;
outByType: any;
to: any;
to_id: any;
type: any;
type_id: any;
typed: any;
}

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:248

#####
Index

### Properties

equal
from
from_id
handler?
id
in
inByType
Link
out
outByType
to
to_id
type
type_id
typed

##
Properties

### equal

equal: ((oldLink: any, newLink: any) => boolean)

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:262

### from

from: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:254

### from_id

from_id: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:253

### `Optional` handler

handler?: ((link: any, result: any) => any)

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:261

### id

id: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:249

### in

in: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:258

### inByType

inByType: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:259

### Link

Link: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:263

### out

out: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:255

### outByType

outByType: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:260

### to

to: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:257

### to_id

to_id: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:256

### type

type: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:251

### type_id

type_id: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:250

### typed

typed: any

- Defined in work/deeplinks/deeplinks/imports/minilinks.tsx:252